MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024225Open CASCADE[OCCT] OCCT:Visualizationpublic2013-10-04 22:382013-12-19 13:58
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024225: TKOpenGL - Wrong ID is used for attachement of depth RenderBuffer to FBO
DescriptionThe following code works only by pure luck because RenderBuffers and FBO currently created in pairs and their IDs are equal:
   theGlContext->extFBO->glFramebufferRenderbufferEXT (GL_FRAMEBUFFER_EXT, GL_DEPTH_ATTACHMENT_EXT, 
GL_RENDERBUFFER_EXT, myGlFBufferId);
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024229closedapl Test case for 0024070 bug has not been integrated 

-  Notes
(0025913)
kgv (developer)
2013-10-04 22:45

Patch is ready for review in CR24225 branch.
(0025941)
apl (developer)
2013-10-07 15:56

Dear Bugmaster,

There are no remarks to the branch, please test.
(0025961)
mkv (tester)
2013-10-08 15:33

Dear BugMaster,

Branch CR24225 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 1ce7b26496f3f0dbcc238234aca1291396020350

Number of compiler warnings:

occt component :
Linux: 432 (424 on master) - New additional warnings!
Windows: 9 (9 on master)

products component :
Linux: 189 (189 on master)
Windows: 287 (287 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 367226464 / 367275524
Total CPU difference: 41304.6500000015 / 44590.71000000126

Testing on Windows:
Total MEMORY difference: 434566792 / 433569676
Total CPU difference: 39384.59375 / 41903.078125

There are following differences in images found by testdiff.
http://occt-tests/CR24225-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
IMAGE bugs vis bug5988: bug5988_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug23747_1: bug23747_1_after_envmap.png differs
IMAGE bugs vis bug23747_1: bug23747_1_with_envmap.png differs
IMAGE bugs vis bug23747_2: bug23747_2_modulate.png differs
IMAGE bugs vis bug23747_2: bug23747_2_scaled.png differs
IMAGE bugs vis bug23747_2: bug23747_2_translated.png differs
IMAGE bugs vis bug23747_2: bug23747_2_std_texture_0.png differs
IMAGE bugs vis bug23747_2: bug23747_2_std_texture_1.png differs
IMAGE bugs vis bug23747_2: bug23747_2_std_texture_2.png differs
IMAGE bugs vis bug23747_2: bug23747_2_std_texture_3.png differs
IMAGE bugs vis bug23747_2: bug23747_2_std_texture_4.png differs
IMAGE bugs vis bug23747_2: bug23747_2_std_texture_5.png differs
IMAGE bugs vis bug23747_2: bug23747_2_std_texture_6.png differs
IMAGE bugs vis bug23747_2: bug23747_2_std_texture_7.png differs
IMAGE bugs vis bug23747_2: bug23747_2_rotated.png differs
IMAGE bugs vis bug23747_2: bug23747_2_nearest.png differs
(0025966)
kgv (developer)
2013-10-08 16:15

Dear mkv,

new 3D snapshots are exactly as they should be.

> Linux: 432 (424 on master) - New additional warnings!
These calculations are incorrect - patch can not introduce any new warnings.
(0025982)
mkv (tester)
2013-10-09 10:07

OK.

- Related Changesets
occt: master 9be3a894
Timestamp: 2013-10-04 18:44:26
Author: kgv
Committer: bugmaster
Details ] Diff ]
0024225: TKOpenGL, OpenGl_FrameBuffer - Wrong ID is used for attachement of depth RenderBuffer to FBO
mod - src/OpenGl/OpenGl_FrameBuffer.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-10-04 22:38 kgv New Issue
2013-10-04 22:38 kgv Assigned To => kgv
2013-10-04 22:45 kgv Note Added: 0025913
2013-10-04 22:45 kgv Assigned To kgv => san
2013-10-04 22:45 kgv Status new => resolved
2013-10-07 10:00 kgv Relationship added related to 0024229
2013-10-07 15:17 kgv Assigned To san => apl
2013-10-07 15:56 apl Note Added: 0025941
2013-10-07 15:56 apl Assigned To apl => bugmaster
2013-10-07 15:56 apl Status resolved => reviewed
2013-10-07 17:34 bugmaster Assigned To bugmaster => mkv
2013-10-08 15:33 mkv Note Added: 0025961
2013-10-08 15:33 mkv Test case number => Not needed
2013-10-08 15:33 mkv Assigned To mkv => kgv
2013-10-08 15:33 mkv Status reviewed => feedback
2013-10-08 16:15 kgv Note Added: 0025966
2013-10-08 16:15 kgv Assigned To kgv => bugmaster
2013-10-08 16:15 kgv Status feedback => reviewed
2013-10-09 10:07 mkv Status reviewed => tested
2013-10-09 10:07 mkv Note Added: 0025982
2013-10-11 13:35 bugmaster Changeset attached => occt master 9be3a894
2013-10-11 13:35 bugmaster Status tested => verified
2013-10-11 13:35 bugmaster Resolution open => fixed
2013-12-19 13:51 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker